package edu.njit.decaf3.helper;

/**
 * DECAF - Dependability Evaluator of Cascading Failures Revision 3
 *
 * @author Sashank Tadepalli
 *
 */
public class Control {
	public static void end(String message){
		end(message, -1);
	}
	public static void end(String message, int error){
		if(error!= -1){
			System.err.print(message);
		} else {
			System.out.print(message);
		}

        System.out.println("\nUsage:\tjava -jar decaf.jar ProgramType FilePath [h] [r] [t]\n" +
                "\n\tProgramType \tProgram type is either 'analyze' or 'runcsv' or 'run'" +
                "\n\tFilePath \tPath to valid DECAF3 model JSON file" +
                "\n\nCase:\tjava -jar decaf.jar run 125.json 0 0.5" +
                "\n\tThis command runs the DECAF simulator on the 125.json model with" +
                "\n\tno height threshold, 0.5 rate threshold and no tree threshold");
		System.exit(error);
	}
}
